## libva-intel-driver-2.4.5.tar.gz

=== meson_options.txt ===
option('driverdir', type : 'string', description : 'drivers path')
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland_drm', 
    description: 'Build with Wayland support via the legacy wl_drm protocol',
    deprecated: true,
    type : 'combo',
    choices : ['yes', 'no', 'auto'],
    value : 'auto'
)
option('enable_hybrid_codec', type : 'boolean', value : false,
    description: 'Enables support for loading the separate hybrid codec driver.')
option('enable_tests', type : 'boolean', value : false)

=== distribution/archlinux/lib32/PKGBUILD ===
_pkgbasename=libva-intel-driver
pkgname=lib32-libva-intel-driver-irql
pkgver=2.4.4
pkgrel=1
pkgdesc='VA-API implementation for Intel G45 and HD Graphics family (32-bit)'
arch=('x86_64')
url='https://freedesktop.org/wiki/Software/vaapi'
license=('MIT')
depends=('lib32-libva')
provides=(lib32-libva-intel-driver)
conflicts=(lib32-libva-intel-driver)
source=(git+https://github.com/irql-notlessorequal/intel-vaapi-driver.git#tag=ae8ba7ed00a0736886572cb7db312305d14ee292)
sha512sums=('SKIP')

pkgver() {
  cd intel-vaapi-driver

  git describe --tags | sed 's/-/+/g'
}

prepare() {
  cd intel-vaapi-driver

  # Only relevant if intel-gpu-tools is installed,
  # since then the shaders will be recompiled
  sed -i '1s/python$/&2/' src/shaders/gpp.py
}

build() {
  export CC="gcc -m32"
  export CXX="g++ -m32"
  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"

  CFLAGS+=' -fcommon' # https://wiki.gentoo.org/wiki/Gcc_10_porting_notes/fno_common

  cd intel-vaapi-driver
  # Something isn't right on the 32-bit version, workaround this.
  ./autogen.sh
  
  ./configure \
    --prefix='/usr' \
    --libdir='/usr/lib32'
  make 
}

package() {
  cd intel-vaapi-driver

  make DESTDIR="${pkgdir}" install

  # My fork renamed the COPYING file into LICENSE.
  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/COPYING
}

=== distribution/archlinux/stable/PKGBUILD ===
# Maintainer: irq-notlessoreq <itistotalbotnet+aur AT SIGN gmail DOT com>

pkgname=libva-intel-driver-irql
pkgver=2.4.4
pkgrel=1
pkgdesc='VA-API implementation for Intel G45 and HD Graphics family (IRQL fork)'
arch=(x86_64)
url=https://github.com/irql-notlessorequal/intel-vaapi-driver
license=(MIT)
depends=(
  libva
  libdrm
)
makedepends=(
  git
  meson
)
provides=('libva-intel-driver')
conflicts=('libva-intel-driver')
replaces=('libva-driver-intel')
source=(git+https://github.com/irql-notlessorequal/intel-vaapi-driver.git#tag=ae8ba7ed00a0736886572cb7db312305d14ee292)
sha256sums=('SKIP')

pkgver() {
  cd intel-vaapi-driver

  git describe --tags | sed 's/-/+/g'
}

prepare() {
  cd intel-vaapi-driver

  # Only relevant if intel-gpu-tools is installed,
  # since then the shaders will be recompiled
  sed -i '1s/python$/&2/' src/shaders/gpp.py
}

build() {
  CFLAGS+=' -fcommon' # https://wiki.gentoo.org/wiki/Gcc_10_porting_notes/fno_common
  arch-meson intel-vaapi-driver build
  ninja -C build
}

package() {
  DESTDIR="${pkgdir}" meson install -C build

  # My fork renamed the COPYING file into LICENSE.
  install -Dm644 intel-vaapi-driver/LICENSE -t "${pkgdir}"/usr/share/licenses/$pkgname
}

# vim: ts=2 sw=2 et:
